# Class Int2.Data

java.lang.Object
mpi.Struct.Data
mpi.Int2.Data

Enclosing class:
  `Int2`

public final class Int2.Data extends Struct.Data
Class for reading/writing data in a struct stored in a byte buffer.

## Constructor Summary

Constructors
Constructor
Description
`Data()`

## Method Summary

Modifier and Type
Method
Description
`int`
`getIndex()`
Gets the second int.
`int`
`getValue()`
Gets the first int.
`void`
`putIndex(int v)`
Puts the second int.
`void`
`putValue(int v)`
Puts the first int.

### Methods inherited from class Struct.Data

`getBuffer, getBuffer, getBuffer, getByte, getByte, getChar, getChar, getData, getData, getDouble, getDouble, getFloat, getFloat, getInt, getInt, getLong, getLong, getShort, getShort, putByte, putByte, putChar, putChar, putDouble, putDouble, putFloat, putFloat, putInt, putInt, putLong, putLong, putShort, putShort`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### Data

public Data()

## Method Details

### getValue

public int getValue()
Gets the first int.

Returns:
  first int

### getIndex

public int getIndex()
Gets the second int.

Returns:
  second int

### putValue

public void putValue(int v)
Puts the first int.

Parameters:
  `v` - first value

### putIndex

public void putIndex(int v)
Puts the second int.

Parameters:
  `v` - second int